跳转到主要内容
非实时

Qwen-ASR — 查询结果

查询转写任务状态

GET
/api/v1/tasks/{task_id}
curl --location --request GET 'https://dashscope.aliyuncs.com/api/v1/tasks/{task_id}' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header "X-DashScope-Async: enable" \
--header "Content-Type: application/json"
{
  "request_id": "1dca6c0a-0ed1-4662-aa39-xxxxxxxxxxxx",
  "output": {
    "task_id": "8fab76d0-0eed-4d20-929f-xxxxxxxxxxxx",
    "task_status": "SUCCEEDED",
    "submit_time": "2025-10-27 13:57:45.948",
    "scheduled_time": "2025-10-27 13:57:46.018",
    "end_time": "2025-10-27 13:57:47.079",
    "result": {
      "transcription_url": "https://dashscope-result.oss-cn-beijing.aliyuncs.com/result.json?Expires=1761631066&OSSAccessKeyId=LTAIxxxx&Signature=xxxx"
    }
  },
  "usage": {
    "seconds": 3
  }
}

结果格式

本节介绍 qwen3-asr-flash-filetrans 模型的结果格式。Fun-ASR 模型请参见 Fun-ASR 结果格式 任务状态为 SUCCEEDED 时,transcription_url 包含一个 JSON 下载链接,有效期 24 小时。过期后无法再查询任务或下载结果。 结果文件结构:
字段类型说明
file_urlstring音频文件 URL。
audio_info.formatstring音频格式。
audio_info.sample_rateinteger音频采样率。
transcriptsarray每条音轨的识别结果。

Transcript 对象

字段类型说明
channel_idinteger音轨索引,从 0 开始。
textstring识别文本。
sentencesarray句级识别结果。

Sentence 对象

字段类型说明
sentence_idinteger句子索引,从 0 开始。
begin_timeinteger开始时间戳(毫秒)。
end_timeinteger结束时间戳(毫秒)。
textstring识别文本。
languagestring检测到的语言。可选值:zhyueenjadekorufrptariteshiidthtrukvicsdafilfiismsnoplsv
emotionstring检测到的情绪。可选值:surprisedneutralhappysaddisgustedangryfearful
wordsarray词级识别结果。仅当 enable_wordstrue 时返回。

Word 对象

字段类型说明
begin_timeinteger开始时间戳(毫秒)。
end_timeinteger结束时间戳(毫秒)。
textstring识别文本。
punctuationstring标点符号。

结果示例

{
  "file_url": "https://***.wav",
  "audio_info": {
    "format": "wav",
    "sample_rate": 16000
  },
  "transcripts": [
    {
      "channel_id": 0,
      "text": "Senior staff, Principal Doris Jackson, Wakefield faculty, and of course my fellow classmates.I am honored to have been chosen to speak before my classmates along with the students across America today.",
      "sentences": [
        {
          "sentence_id": 0,
          "begin_time": 240,
          "end_time": 6720,
          "language": "en",
          "emotion": "happy",
          "text": "Senior staff, Principal Doris Jackson, Wakefield faculty, and of course my fellow classmates.",
          "words": [
            {
              "begin_time": 240,
              "end_time": 1120,
              "text": "Senior ",
              "punctuation": ""
            },
            {
              "begin_time": 1120,
              "end_time": 1200,
              "text": "staff",
              "punctuation": ","
            }
          ]
        },
        {
          "sentence_id": 1,
          "begin_time": 12268,
          "end_time": 17388,
          "language": "en",
          "emotion": "neutral",
          "text": "I am honored to have been chosen to speak before my classmates along with the students across America today.",
          "words": [
            {
              "begin_time": 12268,
              "end_time": 12428,
              "text": "I ",
              "punctuation": ""
            },
            {
              "begin_time": 12428,
              "end_time": 12508,
              "text": "am ",
              "punctuation": ""
            }
          ]
        }
      ]
    }
  ]
}

鉴权

string
header
必填

千问云 API Key。详见获取 API Key

Header 参数

enum<string>
必填

必须设置为 enable

enable

路径参数

string
必填

提交转录任务 操作返回的任务 ID。

响应

200-application/json
string

本次调用的唯一标识符。

1dca6c0a-0ed1-4662-aa39-xxxxxxxxxxxx
object
object

Token 消耗信息。